capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is fig3.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Polls vs. truth;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};

log using "${mktab}fig3.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;



program define pollvtruth;
use ${prog}pollsallvars.dta, clear;
keep if `1'&record!=.;
collapse dem1new rep1new demfin repfin demexit repexit demprior repprior
	 (count) racen=racen, by(raceid); 
_genx z, min(20) max(80) nbins(10);

* estimate linear trendlines;
reg `2'1new `2'fin [aw=racen];
gen `2'1new_hat=_b[`2'fin]*z+_b[_cons];
reg `2'prior `2'fin [aw=racen];
gen `2'prior_hat=_b[`2'fin]*z+_b[_cons];

/*
if `5'!=2008 {;
 reg `2'exit `2'fin;
 gen `2'exit_hat=_b[`2'fin]*z+_b[_cons];
};

if `5'!=2008 {;
twoway  (line z z, clcolor(black))
	(scatter `2'1new `2'fin /*[w=racen]*/, msymbol(oh) mcolor(black))
	(line `2'1new_hat z, clpat(longdash) clcolor(black)),
	legend(lab(1 "45 Degree Line") lab(2 "Mean `3' Poll Share")
		lab(3 "Pre-Election Poll Trend (wgt.)"))
	xtitle(Actual Percent `3');
graph export "${fig}`2'vstruth_`4'.eps", as(eps) logo(off) replace ;
twoway  (line z z, clcolor(black))
	(scatter `2'exit `2'fin, msymbol(x) mcolor(black))
	(line `2'exit_hat z, clpat(shortdash) clcolor(black)),
	legend(lab(1 "45 Degree Line") lab(2 "`3' Exit Poll Share")
		lab(3 "Exit Poll Trend"))
	xtitle(Actual Percent `3');
graph export "${fig}ep`2'vstruth_`4'.eps", as(eps) logo(off) replace ;
};
*/
twoway  (line z z, clcolor(black))
	(scatter `2'1new `2'fin /*[w=racen]*/, msymbol(oh) mcolor(black))
	(line `2'1new_hat z, clpat(longdash) clcolor(black)),
	legend(lab(1 "45 Degree Line") lab(2 "Mean `3' Poll Share")
		lab(3 "Poll = Truth Regression Line"))
	xtitle(Actual Percent `3');
graph export "${fig}`2'vstruth_`4'.eps", as(eps) logo(off) replace ;

end;

* dem pics;
pollvtruth year==2000&mainsamp==1 dem Dem. 2000 2000;
pollvtruth year==2004&mainsamp==1 dem Dem. 2004 2004;
pollvtruth year==2008&mainsamp==1 dem Dem. 2008 2008;
pollvtruth lt2wks==1&year==2000&mainsamp==1 dem Dem. lt2w_2000 2000;
pollvtruth lt2wks==1&year==2004&mainsamp==1 dem Dem. lt2w_2004 2004;
pollvtruth lt2wks==1&year==2008&mainsamp==1 dem Dem. lt2w_2008 2008;

* repub pics;
pollvtruth year==2000&mainsamp==1 rep Rep. 2000 2000;
pollvtruth year==2004&mainsamp==1 rep Rep. 2004 2004;
pollvtruth year==2008&mainsamp==1 rep Rep. 2008 2008;
pollvtruth lt2wks==1&year==2000&mainsamp==1 rep Rep. lt2w_2000 2000;
pollvtruth lt2wks==1&year==2004&mainsamp==1 rep Rep. lt2w_2004 2004;
pollvtruth lt2wks==1&year==2008&mainsamp==1 rep Rep. lt2w_2008 2008;

log close;










