capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is fig4.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Prediction errors of pre-election polls;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};

log using "${mktab}fig4.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;


program define pollerr;
use ${prog}pollsallvars.dta, clear;
keep if `1'&record!=.;

*gen `2'exit_pe=`2'exit-`2'fin;
gen `2'prior_pe=`2'prior-`2'fin;

collapse `2'pe2_fin `2'prior_pe `2'fin (sum) samplesize=samplesize
	 (count) racen=racen, by(raceid); 
_genx z, min(20) max(80) nbins(10);

* estimate linear trendlines;
reg `2'pe2_fin `2'fin [aw=racen];
gen `2'pe2_hat=_b[`2'fin]*z+_b[_cons];
reg `2'prior_pe `2'fin [aw=racen];
gen `2'prior_pe_hat=_b[`2'fin]*z+_b[_cons];

/*
if `5'!=2008 {;
 reg `2'exit_pe `2'fin;
 gen `2'exit_pe_hat=_b[`2'fin]*z+_b[_cons];
};

if `5'!=2008 {;
twoway	(scatter `2'exit_pe `2'fin, msymbol(t) mcolor(black))
	(line `2'exit_pe_hat z, clpat(shortdash) clcolor(black)),
	legend(lab(1 "`3' Exit Poll Error") lab(2 "Exit Poll Error Trend"))
	xtitle(Actual Percent `3') xlabel(20(20)80) ylabel(-20(5)10);
graph export "${fig}eperr`2'vstruth_`4'.eps", as(eps) logo(off) replace ;
};
*/

twoway  (scatter `2'pe2_fin `2'fin, msymbol(oh) mcolor(black))
	(line `2'pe2_hat z, clpat(longdash) clcolor(black)),
	legend(lab(1 "Mean `3' Poll Error") lab(2 "Poll Error = Truth Regression Line"))
	xtitle(Actual Percent `3') xlabel(20(20)80) ylabel(-20(5)10);
graph export "${fig}err`2'vstruth_`4'.eps", as(eps) logo(off) replace ;

end;


* dem pics;
pollerr year==2000&mainsamp==1 dem Dem. 2000 2000;
pollerr year==2004&mainsamp==1 dem Dem. 2004 2004;
pollerr year==2008&mainsamp==1 dem Dem. 2008 2008;
pollerr lt2wks==1&year==2000&mainsamp==1 dem Dem. lt2w_2000 2000;
pollerr lt2wks==1&year==2004&mainsamp==1 dem Dem. lt2w_2004 2004;
pollerr lt2wks==1&year==2008&mainsamp==1 dem Dem. lt2w_2008 2008;
* rep pics;
pollerr year==2000&mainsamp==1 rep Rep. 2000 2000;
pollerr year==2004&mainsamp==1 rep Rep. 2004 2004;
pollerr year==2008&mainsamp==1 rep Rep. 2008 2008;
pollerr lt2wks==1&year==2000&mainsamp==1 rep Rep. lt2w_2000 2000;
pollerr lt2wks==1&year==2004&mainsamp==1 rep Rep. lt2w_2004 2004;
pollerr lt2wks==1&year==2008&mainsamp==1 rep Rep. lt2w_2008 2008;

log close;









