capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab3.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Descriptive statistics for undecideds and other candidates in polls;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using "${mktab}tab3.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;

*note: indundec and allundec count a poll as having undecideds if the total of the poll
	is less than 100%;
keep if mainsamp==1&record!=.;

gen und=undecided/100 if indundec==1 ;
gen ambig=otherundecided/100 if indundec==1 ;
gen na=predless/100 if indundec==1 ;
for any und ambig na: replace X=0 if indundec==1&X==.;

gen g=green1/100 if indother==1;
gen i=ind1/100 if indother==1;
gen l=lib1/100 if indother==1;
gen r=ref1/100 if indother==1;
gen c=cons1/100 if indother==1;
gen oth=other/100 if indother==1;
gen no=none/100 if indother==1;
for any g i l r c oth no: replace X=0 if indother==1&X==.;

tabstat indundec fracund und ambig na
	indother fracoth g i l r c oth no, stat(mean n) col(stat) by(year) nosep;

log close;




